function vScroll(dir, spd, loop) {
	loop = true;
	direction = "up";
	speed = 10;
	// --- removed for testing purposes --- scrolltimer = null;
	if (document.layers) {
		var page = eval(document.contentLayer);
	}
	else {
		if (document.getElementById) {
			var page= eval("document.getElementById('contentLayer').style");
		}
		else {
			if (document.all) {
				var page = eval(document.all.contentLayer.style);
      			}
   		}
	}
	direction = dir;
	speed = parseInt(spd);
	var y_pos = parseInt(page.top);

	if (loop == true) {
		if (direction == "dn") {
			window.status="scroll down";
			page.top = (y_pos - (speed));
			document.ar_dn.src= levpath + "images/gui/ar_dn_mover.gif";
		} 
		else {
			if (direction == "up" && y_pos < 10) {
				window.status="scroll up";
				page.top = (y_pos + (speed));
				document.ar_up.src= levpath + "images/gui/ar_up_mover.gif";
			} 
			else {
				if (direction == "top") {
					// clearTimeout(scrolltimer);
					document.ar_up.src= levpath + "images/gui/ar_up_mout.gif";
					document.ar_dn.src= levpath + "images/gui/ar_dn_mout.gif";
					page.top = 10;
	      			}
	   		}
		}
		scrolltimer = setTimeout("vScroll(direction,speed)", 12);
	}
}

function stopScroll() {
	loop = false;
	clearTimeout(scrolltimer);
	document.ar_up.src= levpath + "images/gui/ar_up_mout.gif";
	document.ar_dn.src= levpath + "images/gui/ar_dn_mout.gif";
	window.status=" ";
}


function resetPos() {
	if (document.layers) { var page = eval(document.contentLayer); }
		else { if (document.getElementById) { var page= eval("document.getElementById('contentLayer').style"); }
			else { if (document.all) { var page = eval(document.all.contentLayer.style); }	}  }
	page.top=10;
}

function showStatus() {
	window.status="top of the page"	;
}
